#pragma once
#include "dojo/dojo.h"
#include "PullPoint.h"

class Marionette;

namespace dojo {

class Configuration {
private:
	Marionette* fighter;
	Array<Vector3> positions;

public:
	Configuration(Marionette* fighter_);
	Configuration(Array<PullPoint*> pullPoints, Marionette* fighter_);
	void applyConfiguration(Array<PullPoint*> pullPoints);
	void setPositions(Array<Vector3> poss);
	Array<Vector3> getPositions(void);
	bool inPosition(void);

	void printInfo(void);
};
}